Bug 605200 - makebootfat-1.4-9.1.el6 should be recompiled with -fno-strict-aliasing
makebootfat-1.4-9.1.el6 should be recompiled with -fno-strict-aliasing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: makebootfat (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jaroslav Škarvada
Miroslav Vadkerti
:
Depends On:
Blocks: 593740
  Show dependency treegraph
 
Reported: 2010-06-17 08:18 EDT by Jaroslav Škarvada
Modified: 2010-11-10 16:08 EST (History)
4 users (show)

See Also:
Fixed In Version: makebootfat-1.4-10.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:08:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2010-06-17 08:18:53 EDT
Description of problem:
According to compiler warnings the makebootfat-1.4-9.1.el6 uses coding techniques
that break strict-aliasing rules, thus it should be recompiled with
-fno-strict-aliasing.

Version-Release number of selected component (if applicable):
makebootfat-1.4-9.1.el6

How reproducible:
Recompile makebootfat-1.4-9.1.el6.

Steps to Reproduce:
1. Make scratch build of makebootfat-1.4-9.1.el6.
2. Inspects build logs.

Actual results:
There are strict-aliasing warnings.

Expected results:
There should be no strict-aliasing warnings.
Comment 1 RHEL Product and Program Management 2010-06-17 08:33:16 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Miroslav Vadkerti 2010-06-18 09:56:44 EDT
qack .. will be tested in next rpmdiff run
Comment 3 Jaroslav Škarvada 2010-06-21 03:26:53 EDT
Fixed in makebootfat-1.4-10.el6.
Comment 5 releng-rhel@redhat.com 2010-11-10 16:08:52 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.